Qore SoapHandler Module Reference: SoapHandler::SoapHandler Class Reference

Qore SoapHandler Module Reference 0.2.4

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
SoapHandler::SoapHandler Class Reference

SoapHandler implementation; to be registered as a request handler in the HttpServer class. More...

Inherits AbstractHttpRequestHandler.

## Public Member Functions
| constructor (AbstractAuthenticator auth, *code getLogMessage, bool dbg=False)
| creates the handler with the given method list More...
| addMethod (WebService ws, WSOperation op, any func, *string help, *int logopt, any cmark, *string path)
| adds a method to the handler dynamically More...
| removeServicesWithPath (string path)
| call to remove all service mappings for services with the given path

## Public Attributes
const | Version = "0.2.4"
| version of the SoapHandler implementation

## Detailed Description

SoapHandler implementation; to be registered as a request handler in the HttpServer class.

## Member Function Documentation

SoapHandler::SoapHandler::addMethod | ( | WebService | ws,
|  | WSOperation | op,
|  | any | func,
|  | *string | help,
|  | *int | logopt,
|  | any | cmark,
|  | *string | path
| ) |  |

adds a method to the handler dynamically

Parameters

  ws | the WebService object for the method
  op | the WSOperation object for the web service operation the method corresponds to
  func | a call reference, a closure, or a string function name to call with the deserialized arguments to the method; the return value will be serialized to SOAP according to the WSDL and sent back to the caller
  help | optional help text for the method
  logopt | log options which can be used by a custom logger (see the getLogMessage parameter in the constructor)
  cmark | an optional "context marker" for the method
  path | an optional path for the method

SoapHandler::SoapHandler::constructor | ( | AbstractAuthenticator | auth,
|  | *code | getLogMessage,
|  | bool | dbg = `False`
| ) |  |

creates the handler with the given method list

Parameters

  auth | an authentication object (use new AbstractAuthenticator() for no authentication)
  getLogMessage | an optional closure or call reference to be called when an incoming request is received; if this is set then it will be called with the following arguments: a context hash (see HttpServer::AbstractHttpRequestHandler::handleRequest() for a description of the context hash), the method definition as passed in the methods argument to this constructor, and a reference to the arguments in this call
  dbg | this parameter is set to True, then additional information will be logged when errors occur